#!/bin/sh
#
# FreeBSD: $Id$:
#

# PROVIDE: niswatchd
# REQUIRE: nis
# KEYWORD: FreeBSD shutdown

#
# Add the following lines to /etc/rc.conf to enable niswatchd:
#
# niswatchd_enable="YES"
#
# See sophie(1) for flags
#

. /usr/local/etc/rc.subr

name=niswatchd
rcvar=`set_rcvar`

[ -z "${DOMAINNAME}" ] && DOMAINNAME=`/bin/domainname`

command=/usr/local/sbin/niswatchd
command_args="-d ${DOMAINNAME}"
pidfile=/var/run/${name}-${DOMAINNAME}.pid
required_files=""

# set defaults

sophie_enable=${niswatchd_enable:-"NO"}
sophie_flags=${niswatchd_flags:-""}

load_rc_config ${name}
run_rc_command "$1"
